/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co. KG                 *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 2014 - 2016  SEGGER Microcontroller GmbH & Co. KG        *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : main.c
Purpose : Generic application start
*/

#include <stdio.h>
#include <stdlib.h>
#if __SES_VERSION < 63000
  #error "Please use at least Embedded Studio V6.30 for rebuilding!"
#endif

/*********************************************************************
*
*       _DummyRead()
*
*  Function description
*    Performs a dummy read from a given pointer and discards the data
*/
static void _DummyRead(volatile unsigned int* p) {
  *p;
}

/*********************************************************************
*
*       main()
*
*  Function description
*   Application entry point.
*/
void main(void) {
  int i;
  //
  // Simple endless loop which calls a subroutine every 1 Mio. loop counts
  //
  i = 0;
  do {
    i++;
    if (i == 1000000) {
      _DummyRead((volatile unsigned int*)0x20000000);
      i = 0;
    }
  } while (1);
}

/*************************** End of file ****************************/
